<template>
  <div
    @mouseover="hover = true"
    @mouseleave="hover = false"
    class="flex select-none cursor-pointer"
  >
    <div
      v-ripple
      class="bg-white flex items-center p-2 rounded-xl w-56"
      :class="{ 'bg-gray-100': hover, 'bg-gray-200': this.$props.selected }"
    >
      <div class="flex items-center space-x-4"></div>
      <div class="flex-grow p-3">
        <div class="font-semibold text-gray-700">
          {{ bulletin.nom }}
        </div>
        <div v-if="!hideInfoClasse" class="text-sm text-gray-500 italic">
          {{ getInfoSubtitle() }} évaluations
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "BulletinCardItem",
  props: ["bulletin", "selected"],

  methods: {
    getInfoSubtitle() {
      return this.$store.getters.savoirsByBulletin(this.matCompSav).lenght;
    },
  },

  data() {
    return { hover: false, hideInfoClasse: false };
  },
};
</script>

